Page MenuHomePhabricator

simplemerge: rewrite `merge_lines()` using `merge_groups()`
ClosedPublic

Authored by martinvonz on Dec 10 2021, 9:02 PM.

Details

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

martinvonz created this revision.Dec 10 2021, 9:02 PM
Alphare accepted this revision.Dec 13 2021, 5:52 AM
This revision is now accepted and ready to land.Dec 13 2021, 5:52 AM
Alphare requested changes to this revision.Dec 21 2021, 9:59 AM

This one was also not rebased and fails to apply. I'm queuing the previous ones

This revision now requires changes to proceed.Dec 21 2021, 9:59 AM

This one was also not rebased and fails to apply. I'm queuing the previous ones

It was rebased on my end, so I don't know what went wrong. I've rebased it again now and resent it. Hopefully it works this time.

martinvonz requested review of this revision.Tue, Jan 4, 4:06 PM
Alphare accepted this revision.Wed, Jan 5, 3:56 AM

It appears that it did work this time!

This revision is now accepted and ready to land.Wed, Jan 5, 3:56 AM

...however it broke pytype. I tried fixing it, but my first efforts weren't successful.

I've pruned it, please resend in a new phab diff